### Method

# GLib TimeVal add

deprecated: 2.62

#### Declaration

    void
    g_time_val_add (
      GTimeVal* time_,
      glong microseconds
    )

#### Description

Adds the given number of microseconds to `time_`. `microseconds` can also be negative to decrease the value of `time_`.

Deprecated since: 2.62

`GTimeVal` is not year-2038-safe. Use `guint64` for representing microseconds since the epoch, or use `GDateTime`.

#### Parameters

`microseconds`

  Type: `glong`

  Number of microseconds to add to `time`.